Package org.opensaml.saml.common.binding.impl

# Class SAMLAddAttributeConsumingServiceHandler.AuthnRequestLookup

java.lang.Object
org.opensaml.saml.common.binding.impl.SAMLAddAttributeConsumingServiceHandler.AuthnRequestLookup

All Implemented Interfaces:
  `Function<MessageContext,AuthnRequest>`

Enclosing class:
  SAMLAddAttributeConsumingServiceHandler

private class SAMLAddAttributeConsumingServiceHandler.AuthnRequestLookup extends Object implements Function<MessageContext,AuthnRequest>
Default lookup function that find a SAML 2 `AuthnRequest`.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`AuthnRequestLookup()`

## Method Summary

Modifier and Type
Method
Description
`AuthnRequest`
`apply(MessageContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### AuthnRequestLookup

private AuthnRequestLookup()

## Method Details

### apply

@Nullable public AuthnRequest apply(@Nullable MessageContext input)

Specified by:
  `apply` in interface `Function<MessageContext,AuthnRequest>`